package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.entity.players.Player;
import org.project.item.weapons.Bite;
import org.project.item.weapons.Weapon;

public class Vampire extends Enemy{

    private static final int SPECIAL_ABL_DMG = 40;
    private static final int RANDEMANT_PERCENT = 70; // this constant determines how much of dealt damage should be given to vamp.
    private static final int HP = 350;

    public Vampire(){
        Weapon vampBite = new Bite();
        super(HP, vampBite);
    }

    @Override
    public String getName() {
        return "Vampire";
    }

    @Override
    public void specialAbility(Player target) {
        System.out.println("Stealing life!...");
        target.takeDamage(SPECIAL_ABL_DMG);
        this.heal((SPECIAL_ABL_DMG * RANDEMANT_PERCENT) / 100);
    }
}
